# Generated by Django 2.2.5 on 2019-09-11 05:10

import ckeditor.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('article_type', models.CharField(choices=[('articles', 'Статьи'), ('news', 'Новости')], default='articles', max_length=8, verbose_name='Тип')),
                ('title', models.CharField(max_length=200, verbose_name='Заголовок')),
                ('slug', models.SlugField()),
                ('content', ckeditor.fields.RichTextField(verbose_name='Контент')),
                ('published', models.DateField(verbose_name='Дата публикации')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Дата изменения')),
            ],
            options={
                'verbose_name': 'Статья',
                'verbose_name_plural': 'Статьи',
                'ordering': ('-published',),
            },
        ),
    ]
